import greenfoot.*;

/**
 * Write a description of class Player here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Player extends Mover
{

    private static final int jumpStrength = 20;
    private int jumped = 0;
    
    /**
     * Act - do whatever the Player wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkKeys();
        checkFall();
      // checkLeft();
       // checkRight();
        insta();
}
    
    private void checkKeys(){
        if(Greenfoot.isKeyDown("left")){
            moveLeft();
            setImage("player_left.png");
        }
        else if(Greenfoot.isKeyDown("right")){
            moveRight();
            setImage("player_right.png");
        }
        else{
            setImage("player_stand.png");
        }
        if(Greenfoot.isKeyDown("space")){
            if(onGround()){
                jump();
            }
        } 
    }
    
    private void jump(){
        setVSpeed(-jumpStrength);
        fall();
        jumped++;
    }
    
    private void checkFall(){
        if(onGround()){
            setVSpeed(0);
        }
        else{
            fall();
        }
    }

    
    private void checkLeft(){
        Actor wall = getOneObjectAtOffset(-getImage().getWidth()/2-1, 0, null);
        if(wall!=null){
            setLocation(wall.getX() + wall.getImage().getWidth()/2 + getImage().getWidth()/2 + 3, getY());
        }
    }
    
    private void checkRight(){
        Actor wall = getOneObjectAtOffset(-getImage().getWidth()/2+1, 0, null);
        if(wall!=null){
            setLocation(wall.getX() - wall.getImage().getWidth()/2 - getImage().getWidth()/2 - 3, getY());
        }
    }
}
