import greenfoot.*;

/**
 * Write a description of class Breakable here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Breakable extends Actor
{
    private static final int numFragments = 8;
    
    
    /**
     * Act - do whatever the Breakable wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        hitBox();
    }
    
    public void hitBox(){
        Actor Mover;
        Mover = getOneObjectAtOffset(0,0,Mover.class);
        if(Mover!=null){
            World world;
            world = getWorld();
            Greenfoot.playSound("Destroy.wav");
            hit();
            destroy();
        }
    }
    
    public void hit(){
        Back backWorld = (Back) getWorld();
        Counter counter = backWorld.getCounter();
        counter.bumpCount(1000);
    }
    
    public void destroy(){
        placeDebris(getX(), getY(), numFragments);
        getWorld().removeObject(this);
    }
    
    private void placeDebris(int x, int y, int numFragments){
        for(int i=0; i<numFragments; i++){
        getWorld().addObject(new Debris(), x, y);
    }
    }
}
