import greenfoot.*;

/**
 * Write a description of class Mover here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Mover extends Actor
{
    private static final int acceleration = 2;
    private static final int speed = 7;
    private static final int numFragments = 4;
    
    private int vSpeed = 0;
    
    public void moveRight()
    {
        setLocation (getX() + speed, getY() );
    }
    
    public void moveLeft()
    {
        setLocation (getX() - speed, getY() );
    }
    
    public boolean onGround(){
        Object under = getOneObjectAtOffset(0, getImage().getHeight()/2-8, null);
        return under !=null;
    }
    
    public void fall(){
        setLocation ( getX(), getY() + vSpeed);
        vSpeed = vSpeed + acceleration;
        if ( atBottom() )
            death();
    }
    
    public void setVSpeed(int speed){
        vSpeed = speed;
    }
    
        public void insta(){
        Actor Insta;
        Insta = getOneObjectAtOffset(0,0,Insta.class);
        if(Insta!=null){
            World world;
            world = getWorld();
            death();
            getWorld().removeObject(this);
            Greenfoot.playSound("Death1.wav");
        }
    }
    public void death(){
        placeDebris(getX(), getY(), numFragments);
    }
    private boolean atBottom(){
        return getY() >= getWorld().getHeight() - 2;
    }
    
    private void gameEnd(){
        Greenfoot.stop();
    }
    
    private void placeDebris(int x, int y, int numFragments){
        for(int i=0; i<numFragments; i++){
            getWorld().addObject(new DebrisLimb(), x, y);
            getWorld().addObject(new DebrisHead(), x, y);
        }
    }
    
    /**
     * Act - do whatever the Mover wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }    
}
